import asyncio


async def c_1():
    print("Coroutine 1 is done")


async def c_2():
    print("Coroutine 2 is done")


async def c_3():
    print("Coroutine 3 is done")


async def main():
    tasks = [
        asyncio.create_task(c_1()),
        asyncio.create_task(c_2()),
        asyncio.create_task(c_3()),
    ]
    await asyncio.gather(*tasks)


asyncio.run(main())
