import asyncio

news_list = [
    "Новая волна COVID-19 обрушилась на Европу",
    "Рынки игр растут на фоне новостей о вакцине",
    "Новая волна COVID-19 обрушилась на Европу",
    "Новая волна COVID-19 обрушилась на Европу",
    "Рынки игр растут на фоне новостей о вакцине",
    "Новая волна COVID-19 обрушилась на Европу",
    "Новая волна COVID-19 обрушилась на Европу",
    "Рынки игр растут на фоне новостей о вакцине",
]


async def analyze_news(keyword, news_list, delay):
    for news in news_list:
        if keyword in news:
            print(f"Найдено соответствие для '{keyword}': {news}")
        await asyncio.sleep(delay)


async def main():
    # Создаем асинхронные задачи для каждой корутины с разными ключевыми словами и задержками
    delay = 1
    tasks = [
        asyncio.create_task(analyze_news(keyword, news_list, delay))
        for keyword in ["COVID-19", "игр", "новый вид"]
    ]

    # Ожидаем выполнения всех задач
    await asyncio.gather(*tasks)


asyncio.run(main())
