import asyncio


async def task_1():
    await asyncio.sleep(2)
    print("task 1 running after sleep")
    return "Result from task 1"


async def task_2():
    await asyncio.sleep(1)
    raise ValueError("An error occurred in task 2")


async def main():
    try:
        await asyncio.gather(task_1(), task_2())
    except ValueError:
        print("Error occurred in task")
    await asyncio.sleep(3)


asyncio.run(main())
