import asyncio


async def coroutine_1(delay=0.1):
    print("Первое сообщение от корутины 1")
    await asyncio.sleep(0.03)  # Первая задержка
    print("Второе сообщение от корутины 1")
    await asyncio.sleep(0.14)  # Вторая задержка
    print("Третье сообщение от корутины 1")
    await asyncio.sleep(0.20)  # Третья задержка
    print("Четвертое сообщение от корутины 1")


async def coroutine_2(delay=0.1):
    print("Первое сообщение от корутины 2")
    await asyncio.sleep(0.02)  # Первая задержка
    print("Второе сообщение от корутины 2")
    await asyncio.sleep(0.10)  # Вторая задержка
    print("Третье сообщение от корутины 2")
    await asyncio.sleep(0.44)  # Третья задержка
    print("Четвертое сообщение от корутины 2")


async def coroutine_3(delay=0.1):
    print("Первое сообщение от корутины 3")
    await asyncio.sleep(0.01)  # Первая задержка
    print("Второе сообщение от корутины 3")
    await asyncio.sleep(0.12)  # Вторая задержка
    print("Третье сообщение от корутины 3")
    await asyncio.sleep(0.32)  # Третья задержка
    print("Четвертое сообщение от корутины 3")


async def main():
    await asyncio.gather(
        coroutine_1(),
        coroutine_2(),
        coroutine_3(),
    )


asyncio.run(main())
