import asyncio

timers = {
    "Квест на поиск сокровищ": 10,
    "Побег от дракона": 5,
}


async def countdown(name, seconds):
    while seconds:
        if "Квест" in name:
            print(f"{name}: Осталось {seconds} сек. Найди скрытые сокровища!")
        else:
            print(f"{name}: Осталось {seconds} сек. Беги быстрее, дракон на хвосте!")
        await asyncio.sleep(1)
        seconds -= 1
    print(f"{name}: Задание выполнено! Что дальше?")


async def main():
    tasks = [
        asyncio.create_task(countdown(name, seconds))
        for name, seconds in timers.items()
    ]
    await asyncio.gather(*tasks)


asyncio.run(main())
